Table of Contents

Previous: -resources

## Option: sixchar

-sixchar
    One of the goals of the ftnchek program is to help users to write portable Fortran programs. One potential source of nonportability is the use of variable names that are longer than six characters. Some compilers just ignore the extra characters. This behavior could potentially lead to two different variables being considered as the same. For instance, variables named AVERAGECOST and AVERAGEPRICE are the same in the first six characters. If you wish to catch such possible conflicts, use this flag. Default = no.

    Use the -f77=long-names if you want to list all variables longer than six characters, not just those pairs that are the same in the first six.

    See also: -f77, -portability.

  Next: -sort